# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename stable

Name:               nodejs-stable
Version:            0.1.5
Release:            2%{?dist}
Summary:            A stable array sort for JavaScript

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/stable
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6



%if 0%{?enable_tests}
BuildRequires:      npm(uglify-js)
BuildRequires:      npm(tape)
%endif


%description
A stable array sort, because `Array#sort()` is not guaranteed stable.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/stable
cp -pr package.json test.js stable.js \
    %{buildroot}%{nodejs_sitelib}/stable

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
node ./test.js
%endif


%files
%doc README.md
%{nodejs_sitelib}/stable/

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 0.1.5-1
- Initial packaging for Fedora.
